Bug 1647991 - [RFE] Support new Pacemaker major release from RHEL8, in Director
Summary: [RFE] Support new Pacemaker major release from RHEL8, in Director
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-pacemaker
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Damien Ciabrini
QA Contact: pkomarov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 17:02 UTC by Chris Jones
Modified: 2020-04-16 07:06 UTC (History)
11 users (show)

Fixed In Version: puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:19:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:45 UTC

Internal Links: 1692360 1692363

Description Chris Jones 2018-11-08 17:02:51 UTC
RHEL8 brings us a new major release of Pacemaker which will require some changes in TripleO and also brings some upgrade headaches. This RFE serves as a tracker for that overall project.

Comment 5 Cesar Fernandez 2019-07-11 09:10:46 UTC
Verified:

- Undercloud:

[heat-admin@controller-0 ~]$ rpm -qa | grep puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost
puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost.noarch
[heat-admin@controller-0 ~]$ pcs --version
0.10.1

[heat-admin@controller-1 ~]$ rpm -qa | grep puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost
puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost.noarch
[heat-admin@controller-1 ~]$ pcs --version
0.10.1

[heat-admin@controller-2 ~]$ rpm -qa | grep puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost
puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost.noarch
[heat-admin@controller-2 ~]$ pcs --version
0.10.1

Comment 6 pkomarov 2019-07-26 14:32:02 UTC
[poc]
auto-verification-command:
source /home/stack/stackrc ;ssh heat-admin@$(openstack server list|grep controller-0 |awk '{print $8}'|tr -d ctlplane=) "rpm -qa | grep puppet-pacemaker-0.7.3-0.20190612211132.658f4ee.el8ost"

Comment 10 errata-xmlrpc 2019-09-21 11:19:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.